tw.com.prolific.pl2303gmultilib

## Enum PL2303GMultiLib.StopBits

- java.lang.Object
- - java.lang.Enum<PL2303GMultiLib.StopBits>
  - - tw.com.prolific.pl2303gmultilib.PL2303GMultiLib.StopBits

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PL2303GMultiLib.StopBits>
  Enclosing class:
    PL2303GMultiLib

      public static enum PL2303GMultiLib.StopBits
      extends java.lang.Enum<PL2303GMultiLib.StopBits>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `S1`
    `S2`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PL2303GMultiLib.StopBits` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PL2303GMultiLib.StopBits[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### S1

          public static final PL2303GMultiLib.StopBits S1

    - #### S2

          public static final PL2303GMultiLib.StopBits S2

  - ### Method Detail

    - #### values

          public static PL2303GMultiLib.StopBits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PL2303GMultiLib.StopBits c : PL2303GMultiLib.StopBits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PL2303GMultiLib.StopBits valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null